The DockPanel component for React represents a container for other widgets or elements.
It arranges its inner elements depending on the value of the 'dock' attribute. The possible 'dock' attribute values are: 'left, right, top and bottom'.
Refer to React Getting Started before you start with this help topic.
The DockPanel component for React requires the following imports.
Then we create our component class. Properties and methods are put as React props.
Finally we render our class in the desired HTML element:
In order to bind to any event, change any property or call any method, we need a reference to the component.
For that we use the React "ref" Callback Attribute:
Now, when we have a reference, we need to call the desired event/property/method.
This is done in the componentDidMount() React Component Lifecycle method.
class App extends React.Component { componentDidMount() { //your logic } render () { return ( .... ) }};
The layout event occurs when the layout is performed.
The following example demonstrates how to add an event listener:
componentDidMount (){ this.refs.myDockPanel.on('layout', (event) => { //your logic }); }
This is how you call props:
//Get Propertieslet height = this.refs.myDockPanel.height(); //Set Propertiesthis.refs.myDockPanel.height(450);
Every component have a method setOptions which accepts a object as an argument. This object contains component settings.
this.refs.myDockPanel.setOptions({ lastchildfill: false, width: 550, height: 850})
Every component also have a method getOptions which returns a object containing the component settings.
let options = this.refs.myDockPanel.getOptions();
The following example demonstrates how to create a DockPanel component.
import React from 'react';import ReactDOM from 'react-dom'; import JqxDockPanel from 'jqwidgets-react/react_jqxdockpanel.js'; class App extends React.Component { render () { return ( <jqxDockPanel height={300}> <div id='first' dock='left'> First Div </div> <div id='second' dock='top' style={{ height: 100 }}> Second Div </div> <div id='third' dock='right'> Third Div </div> <div id='fourth'> Fourth Div </div> </jqxDockPanel> ) }} ReactDOM.render(<App />, document.getElementById('app'));

Vue UI Components Documentation

Vue DockPanel Component

The DockPanel component for Vue represents a container for other widgets or elements. It arranges its inner elements depending on the value of the 'dock' attribute. The possible 'dock' attribute values are: 'left, right, top and bottom'.

Prerequisites

Refer to Vue Getting Started before you start with this help topic.

Configuration

After you have created your App.vue file, here is how you should structure it:

The DockPanel component for Vue requires the following import:

import JqxDockPanel from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdockpanel.vue";

Add the jqxDockPanel component to the components section of the the Vue class:

 components: {
JqxDockPanel
},

Template

The App.vue has a <template> structural tag where we determine the application structure. There we will also set the tags for the new components - <JqxDockPanel/>

<template>
<JqxDockPanel :width="width"
:height="height">
<div ref="first" dock="left" style="background: #486974;">
First Div
</div>
<div ref="second" dock="top" style="height: 100px; background: #368ba7;">
Second Div
</div>
<div ref="third" dock="right" style="background: #df7169;">
Third Div
</div>
<div ref="fourth" style="background: #a73654;">
Fourth Div
</div>
</JqxDockPanel>
</template>

Properties

The properties of the <JqxDockPanel/> component are defined in the data member of the Vue class. We should put them in the return object of the data function:

data: function () {
return {
width: 300,
height: 210
}
}

Events

The events in Vue are set as an attribute with @ prefix, for example:

<JqxDockPanel @layout="onLayout()"
:width="width"
:height="height">
<div ref="first" dock="left" style="background: #486974;">
First Div
</div>
<div ref="second" dock="top" style="height: 100px; background: #368ba7;">
Second Div
</div>
<div ref="third" dock="right" style="background: #df7169;">
Third Div
</div>
<div ref="fourth" style="background: #a73654;">
Fourth Div
</div>
</JqxDockPanel>

All events that are bound to a component are implemented in the methods member of the Vue class.

methods: {
onLayout: function () {
// Do something...
}
}

Methods

If we want to add additional methods we should also implement them in the methods member.

In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate member. It depends on the case.

If you have followed the above steps, you App.vue file would look like this:

App.vue:

DockPanel Example

Angular UI Components Documentation

Angular DockPanel Component

The DockPanel component for Angular represents a container for other widgets or elements. It arranges its inner elements depending on the value of the 'dock' attribute. The possible 'dock' attribute values are: 'left, right, top and bottom'.

Prerequisites

Refer to Angular Getting Started before you start with this help topic.

Configuration

I. Imports

The DockPanel component for Angular requires the following imports.

import{ jqxDockPanelComponent } from 'jqwidgets-ng/jqxdockpanel';           

II. @Component Decorator

A class is marked as an Angular component through the @Component decorator:

  • selector - CSS selector that identifies this component in a template
  • styles - inline-defined styles to be applied to this component's view
  • styleUrls - list of URLs to stylesheets to be applied to this component's view
  • template - inline-defined template for the view
  • templateUrl - URL to an external file containing a template for the view
The full list of @Component decorator properties is available on: Angular @Component Decorator API


Every jQWidgets Angular component has an [auto-create] attribute which determines whether the component is automatically created or is created on demand by API method call.
By default, the [auto-create] attribute value is true.

III. Create the AppComponent class

The AppComponent class is used to instantiate the app. In some of the examples, we use @ViewChild and ngAfterViewInit.

  • @ViewChild: makes a reference using a DockPanel selector. View queries are set before the ngAfterViewInit callback is called.
    @ViewChild('dockPanelReference') myDockPanel: jqxDockPanelComponent;
  • ngAfterViewInit - this is an Angular Component Lifecycle method in which we create our angular components. After the view is initialized, myDockPanel is available.
    For more information about this methods please refer to Angular Component Lifecycle API

The following example demonstrates the DockPanel component for Angular.

app.component.htm

<div style="width: 300px; height: 600px; font-size: 13px; font-family: Verdana;">
<jqxDockPanel #jqxDockPanel
[width]="300"
[height]="210">
<div #first dock='left' style='background: #486974;'>
First Div
</div>
<div #second dock='top' style='height: 100px; background: #368ba7;'>
Second Div
</div>
<div #third dock='right' style='background: #df7169;'>
Third Div
</div>
<div #fourth style='background: #a73654;'>
Fourth Div
</div>
</jqxDockPanel>
<br />
<div>Layout Types:</div>
<div id='layout'>
<img title='click to apply a new layout' alt='layout types' src='../images/LayoutTypes.png' />
</div>
<br />
<div>Spiral:</div>
<jqxDockPanel #jqxDockPanel2
[width]="300"
[height]="210"
[lastchildfill]="false">
<div #Div1 dock='left' style='background: #486974; width: 20px;'>
1
</div>
<div #Div2 dock='top' style='background: #368ba7; height: 20px;'>
2
</div>
<div #Div3 dock='right' style='background: #df7169; width: 20px;'>
3
</div>
<div #Div4 dock='bottom' style='background: #a73654; height: 20px;'>
4
</div>
</jqxDockPanel>
</div>

app.component.ts

Run Code

IV. Create DockPanel component with JSON

  • Add the imports.

    import { Component, ViewChild, AfterViewInit } from '@angular/core';
    import { jqxDockPanelComponent } from 'jqwidgets-ng/jqxdockpanel';

    @Component decorator:

    @Component({
        selector: 'app-root',
        template: `<jqxDockPanel #dockPanelReference></jqxDockPanel>`
    })
    
  • Create the AppComponent class.

    • @ViewChild: makes a reference using a DockPanel selector. View queries are set before the ngAfterViewInit callback is called.
      @ViewChild('dockPanelReference') myDockPanel: jqxDockPanelComponent;
    • ngAfterViewInit: All Angular components have an integrated method called createComponent that accept a JSON object with the component initialization properties. If no argument is passed, default properties will be used. If you would like to dynamically set properties after creation, you can use the setOptions method.
      ngAfterViewInit(): void
      {
          this.myDockPanel.createComponent(this.DockPanelSettings);
      }
      
  • The following example demonstrates how to create a DockPanel component for Angular by using the createComponent method.


Properties

The properties which are defined as attributes can be changed directly:

To get or set a property, which we did not define or call a method, we can do the following:

  • Import @ViewChild decorator:


  • Add the DockPanel component:


  • Get access to the DockPanel component and its API:


  • Finally, we can set/get properties like that:


Every component has a method setOptions which accepts a JSON object as an argument. This object contains component settings and you can use it to set a single or multiple properties dynamically.

Events

The layout event occurs when the layout is performed.

The following example demonstrates how to add an event listener.

Note: Event Names of the DockPanel component for Angular are the same as the Event Names of the jqxDockPanel widget.
The only thing you need to do is to put "on" before the event name and upperCase it's the first letter.

DockPanel Examples

Overview

The following example demonstrates how to create a DockPanel component for Angular.

Disabling

The following example demonstrates how to disable DockPanel.

DockPanel API

API Reference of the jQWidgets DockPanel component for Angular: DockPanel API